# Rey - Line Messaging API Python Wrapper

Yet another asynchronous API wrapper designed to simplify the process of integrating [Line Messaging API](https://developers.line.biz/en/reference/messaging-api) into your Python applications. With Rey, you can send and receive messages, manage user profiles, and leverage Line's rich multimedia messaging capabilities. Rey Is supposed to be a personal project of mine out of boredom and curiosity. Other Features would be implemented soon enough such as but not limited to:
1. Full support of the messaging API (all endpoints). 
2. Webhook event with flask & ngrok support.

## Features

- **Asynchronous**: Rey is built using the `aiohttp` library, allowing you to write non-blocking code for your Line Messaging applications.

- **Ease of Use**: Rey provides a simple and intuitive API for sending and receiving messages, managing users, and handling events.

- **Customizable**: You can customize and extend Rey to fit the specific requirements of your Line Messaging project.

## Installation

To install Rey, simply use pip:
```bash
pip install rey
```

## Contributing

Contributions to Rey are welcome! If you find a bug or have a feature request, please open an issue on the GitHub repository. If you'd like to contribute code, feel free to fork the repository and submit a pull request.

## License

This project is licensed under the MIT License - see the LICENSE file for details.

## Acknowledgments

- Special thanks to the Line Messaging API team for providing a powerful platform for building Line bots and applications.